Package org.jcsp.net

# Class NetAltingChannelInput

java.lang.Object
org.jcsp.lang.Guard
org.jcsp.lang.AltingChannelInput
org.jcsp.lang.AltingChannelInputWrapper
org.jcsp.net.NetAltingChannelInput

All Implemented Interfaces:
  `ChannelInput`, `Poisonable`, `NetChannelInput`, `Networked`

Direct Known Subclasses:
  `MigratableAltingChannelInput`

public abstract class NetAltingChannelInput extends AltingChannelInputWrapper implements NetChannelInput

An abstract class that is sub-classed by classes whose instances should be networked channel ends that can be used as an ``AltingChannelInput`` objects.

This class does not need to be sub-classed by JCSP users.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`NetAltingChannelInput()`
Constructs a channel end without supplying the actual channel to use.
`protected`
`NetAltingChannelInput(AltingChannelInput channel)`
Constructs a channel end and takes the actual channel to use to deliver the data.

## Method Summary

### Methods inherited from class org.jcsp.lang.AltingChannelInputWrapper

`endRead, getChannel, pending, poison, read, setChannel, startRead`

### Methods inherited from class org.jcsp.lang.Guard

`schedule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jcsp.lang.ChannelInput

`endRead, read, startRead`

### Methods inherited from interface org.jcsp.net.NetChannelInput

`destroyReader, getFactoryClass`

### Methods inherited from interface org.jcsp.net.Networked

`getChannelLocation`

### Methods inherited from interface org.jcsp.lang.Poisonable

`poison`

## Constructor Details

### NetAltingChannelInput

protected NetAltingChannelInput(AltingChannelInput channel)

Constructs a channel end and takes the actual channel to use to deliver the data.

Parameters:
  `channel` - the actual channel used to deliver data to the user.

### NetAltingChannelInput

protected NetAltingChannelInput()

Constructs a channel end without supplying the actual channel to use. `setChannel(AltingChannelInput)` should be called before the channel end is actually used.